## palemoon 28.10.0

=== debian/changelog ===
palemoon (28.10.0-1mx19+1) mx; urgency=medium

  * This is a development, bugfix and security update:
    - Implemented URLSearchParams' sort() function.
    - Implemented ES2020 globalThis for web compatibility.
    - Improved our WebM media parser to be more tolerant to different encoding
      styles.
    - Improved our MP3 media parser to be more tolerant to different encoding
      styles and particularly tiny files/stream chunks.
    - Improved performance of table drawing for more corner cases.
    - Changed the way images without a src are handled in page layouts to align
      with the Chrome-pushed spec.
    - Added modern MIPS support.
    - Fixed a regression in WebAudio channel handling due to a landed
      security fix.
    - Fixed a regression preventing scripting from properly disabling input
      controls.
    - Fixed an issue with border radius sometimes not being honored in tables.
    - Fixed some build issues in non-standard configurations.
    - Removed more telemetry code.
    - Removed the in-browser speech recognition engine and API.
    - Removed support for the obsolete and unmaintained NVidia 3DVision
      stereoscopic interface.
    - Changed handling of braille blanks in the ui (CVE-2020-12409) DiD
    - Mitigated a potential timing attack against DSA keys in
      NSS (CVE-2020-12399)
    - Unified XUL Platform Mozilla Security Patch Summary: 1 fixed,
      1 defense-in-depth, 8 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jun 2020 20:32:02 -0700

palemoon (28.9.3-1) obs; urgency=medium

  * Security update:
    - Fixed a potential vulnerability in the zip file reader. DiD
    - Fixed a potential vulnerability in the JavaScript JIT compiler related to
      aliases. DiD
    - Ported several upstream devtools fixes (addresses CVE-2020-12392 and
      CVE-2020-12393).
    - Improved memory safety of some WebAudio calls.
    - Improved memory safety in the XUL window destructor. DiD
    - Unified XUL Platform Mozilla Security Patch Summary: 3 fixed, 
      3 Defense-in-depth, 16 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 08 May 2020 10:48:02 -0700

## palemoon 28.11.0

=== debian/changelog ===
palemoon (28.11.0-1) obs; urgency=medium

  * New upstream release:
    - Changed storage format for certificates and passwords to SQLite.
    - Added a preference (browser.tabs.insertAllAfterCurrent) to enable always
      adding new tabs after the current tab, whether related or not.
    - Changed the way Firefox extensions are displayed in the add-on manager
      (provide a clear warning).
    - Denied other types of add-ons that aren't explicitly targeting Pale
      Moon's ID.
    - Improved the browser's DPI-awareness to be per-monitor instead of
      system-wide, on supported Windows operating systems.
    - Updated bookmark backups code with the other half of what should have been
      done way back when, so they work fully as intended.
    - Added a preference (browser.bookmarks.editDialog.showForNewBookmarks) to
      enable immediately showing the edit dialog for new bookmarks.
    - If set to true, clicking the star in the address bar will pop open the
      edit dialog immediately for changing details/sorting.
    - Fixed the useragent string in native mode, and updated UA code to properly
      respond to live changes to some preferences.
    - Tidied up front-end browser JavaScript.
    - Changed the way sources are compiled (on-going de-unification).
    - Improved compatibility with gcc v10
    - Removed support for the obsolete and unmaintained NVidia 3DVision
      stereoscopic interface.
    - Fixed some build issues in non-standard configurations.
    - Fixed wrong positions when calculating the position for position:absolute
      child inside a table.
    - Aligned file name extension of saved url files with other applications
      (lower case)
    - Fixed building with --disable-webspeech (to disable speech synthesis)
    - Added global menubar support for GTK.
    - Implemented node.getRootNode
    - Implemented AbortController (Abort API)
    - Improved the uninstaller to use elevation when prudent and actually remove
      program files.
    - Fixed a rare issue with editable page content.
    - Fixed a crash related to ES module scripts.
    - Aligned ES module scripting better with the current spec and removed eager
      instantiation.
    - Fixed a potential issue with the JPEG encoder. (CVE-2020-12422) DiD
    - Fixed a potential issue with AppCache manifests. DiD
    - Fixed a potential crash in JavaScript date parsing.
    - Fixed a problem with RSA key generation that would make it potentially
      vulnerable to side-channel attacks. (CVE-2020-12402)
    - Fixed a potential crash due to multithread race condition. DiD
    - Fixed a correctness issue in URL handling. (CVE-2020-12418) DiD

  *  Remove patches, fixed upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 17 Jul 2020 15:38:40 -0700

palemoon (28.10.0-2) obs; urgency=medium

  * Add patch to fix FTBFS on armhf, courtesy of adesh on PM forums.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Jun 2020 21:20:37 -0700

palemoon (28.10.0-1) obs; urgency=medium

  * This is a development, bugfix and security update:
    - Implemented URLSearchParams' sort() function.
    - Implemented ES2020 globalThis for web compatibility.
    - Improved our WebM media parser to be more tolerant to different encoding
      styles.
    - Improved our MP3 media parser to be more tolerant to different encoding
      styles and particularly tiny files/stream chunks.
    - Improved performance of table drawing for more corner cases.
    - Changed the way images without a src are handled in page layouts to align
      with the Chrome-pushed spec.
    - Added modern MIPS support.
    - Fixed a regression in WebAudio channel handling due to a landed
      security fix.
    - Fixed a regression preventing scripting from properly disabling input
      controls.
    - Fixed an issue with border radius sometimes not being honored in tables.
    - Fixed some build issues in non-standard configurations.
    - Removed more telemetry code.
    - Removed the in-browser speech recognition engine and API.
    - Removed support for the obsolete and unmaintained NVidia 3DVision
      stereoscopic interface.
    - Changed handling of braille blanks in the ui (CVE-2020-12409) DiD
    - Mitigated a potential timing attack against DSA keys in
      NSS (CVE-2020-12399)
    - Unified XUL Platform Mozilla Security Patch Summary: 1 fixed,
      1 defense-in-depth, 8 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jun 2020 20:32:02 -0700

=== debian/control ===
Source: palemoon
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
Build-Depends:
 autoconf2.13,
 debhelper (>= 9),
 libasound2-dev,
 libdbus-1-dev (>=0.60),
 libdbus-glib-1-dev (>= 0.60),
 libfontconfig1-dev,
 libgconf2-dev (>= 1.2.1),
 libgtk2.0-dev (>= 2.14),
 libpulse-dev,
 libx11-xcb-dev,
 libxt-dev,
 mesa-common-dev,
 pkg-config,
 python (>= 2.7),
 unzip,
 yasm (>= 1.1),
 zip,
# only necessary for Sid on the OBS at present, but benign on other releases.
 libfontconfig1-dev
Standards-Version: 3.9.6
Homepage: http://www.palemoon.org/

Package: palemoon
Architecture: any
Depends: libavcodec54 | libavcodec-extra54 | libavcodec55 | libavcodec-extra55 | libavcodec56 | libavcodec-extra56 | libavcodec57 | libavcodec-extra57 | libavcodec58 | libavcodec-extra58 | libavcodec-ffmpeg56 | libavcodec-ffmpeg-extra56,
 ${misc:Depends},
 ${shlibs:Depends}
Provides: gnome-www-browser, www-browser, x-www-browser
Conflicts: palemoon-nonsse2
Replaces: palemoon-nonsse2
Description: Firefox-based, efficient and easy to use web browser
 Pale Moon offers selected features and optimizations to maximize
 the browser's speed, stability and user experience, while maintaining
 compatibility with the thousands of Firefox extensions you have come
 to love and rely on.
 .
 Pale Moon requires a processor that supports the SSE2 instruction set.
 Run "/proc/cpuinfo" in a terminal, and look for sse2 in the flags to ensure
 that your processor supports it.

=== debian/rules ===
#!/usr/bin/make -f

export SHELL=/bin/bash

%:
	dh $@

override_dh_auto_clean:
	rm -f mozconfig
	dh_auto_clean
	find . -name '*.pyc' -delete

override_dh_auto_configure:
	cp debian/mozconfig mozconfig

override_dh_auto_build:
	make -f client.mk build

override_dh_auto_install:
	make -f client.mk DESTDIR=$$(pwd)/debian/palemoon prefix=/usr \
        installdir=/usr/lib/palemoon \
        sdkdir=/usr/lib/palemoon-devel install
	rm -rf $$(pwd)/debian/palemoon/usr/share/idl
	rm -rf $$(pwd)/debian/palemoon/usr/lib/palemoon-devel
	rm -rf $$(pwd)/debian/palemoon/usr/include
# remove vestigial duplicate file
	rm -rf $$(pwd)/debian/palemoon/usr/lib/palemoon/palemoon-bin

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/palemoon

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xdebian/palemoon/usr/lib/palemoon/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi

## palemoon 28.12.0

=== debian/changelog ===
palemoon (28.12.0-1mx19+1) mx; urgency=medium

  * New upstream release: This is a development, bugfix and security update.
    - Added controls for WASM to the browser's preferences, and enabled by
      default.
    - Enabled various arbitrarily-disabled CSS functions.
    - Added the use of basic path descriptors (i.e. polygon) to css clip paths.
    - Implemented multithreaded request signal handling for the Abort API.
      Please see implementation notes below.
    - Updated the included US-English dictionary, adding approximately 2500
      additional words.
    - Removed the DOM battery API. This was already disabled for privacy reasons
      for a long while.
    - Fixed an erroneous warning displayed on toolkit-only add-ons like supplied
      dictionaries.
    - Fixed an issue with the sessionstore tab load preference.
    - Improved the generation of the names of downloaded files to prevent
      confusion. (CVE-2020-15658)
    - Fixed a code issue with base64 encoding of data.
    - Fixed 2 safety hazards in JavaScript. (One being CVE-2020-15656) DiD
    - Fixed a spec compliance issue with regards to the cross-origin loading
      of scripts. (CVE-2020-15652)

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Aug 2020 22:17:07 -0700

palemoon (28.11.0-2) obs; urgency=medium

  * Add some code to rules and lsb-release to B-Ds to prevent parallel
    builds if on Sid, which fail there because of a buggy make update.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Jul 2020 20:26:20 -0700

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,8 @@
  libpulse-dev,
  libx11-xcb-dev,
  libxt-dev,
+# needed to detect distrelease in debian/mozconfig
+ lsb-release,
  mesa-common-dev,
  pkg-config,
  python (>= 2.7),

## palemoon 28.13.0

=== platform/security/nss/lib/freebl/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

ifeq ($(FREEBL_NO_DEPEND),1)
	DEFINES += -DFREEBL_NO_DEPEND
	STUBS_SRCS = stubs.c
endif

ifeq ($(FREEBL_LOWHASH),1)
	DEFINES += -DFREEBL_LOWHASH
	LOWHASH_SRCS = nsslowhash.c
	LOWHASH_EXPORTS = nsslowhash.h
	MAPFILE_SOURCE = freebl_hash_vector.def
	NEED_STUB_BUILD = 1
else
	MAPFILE_SOURCE = freebl.def
endif

ifdef USE_STUB_BUILD
	CSRCS           = lowhash_vector.c
	SIMPLE_OBJS     = $(CSRCS:.c=$(OBJ_SUFFIX))
	OBJS            = $(addprefix $(OBJDIR)/$(PROG_PREFIX), $(SIMPLE_OBJS))
	ALL_TRASH :=    $(TARGETS) $(OBJS) $(OBJDIR) LOGS TAGS $(GARBAGE) \
                $(NOSUCHFILE) so_locations
	MAPFILE_SOURCE = freebl_hash.def
endif

# FREEBL_USE_PRELINK
#
# Most modern version of Linux support a speed optimization scheme where an
# application called prelink modifies programs and shared libraries to quickly
# load if they fit into an already designed address space. In short, prelink
# scans the list of programs and libraries on your system, assigns them a
# predefined space in the the address space, then provides the fixups to the
# library.
#
# The modification of the shared library is correctly detected by the freebl
# FIPS checksum scheme where we check a signed hash of the library against the
# library itself.
#
# The prelink command itself can reverse the process of modification and output
# the prestine shared library as it was before prelink made it's changes.
# This option tells Freebl could use prelink to output the original copy of
# the shared library before prelink modified it.
#
# FREEBL_PRELINK_COMMAND
#
# This is an optional environment variable which can override the default
# prelink command. It could be used on systems that did something similiar to 
# prelink but used a different command and syntax. The only requirement is the 
# program must take the library as the last argument, the program must output 
# the original library to standard out, and the program does not need to take 
# any quoted or imbedded spaces in its arguments (except the path to the 
# library itself, which can have imbedded spaces or special characters).
#
ifdef FREEBL_USE_PRELINK
	DEFINES += -DFREEBL_USE_PRELINK
ifdef LINUX
	DEFINES += -D__GNU_SOURCE=1
endif
endif
ifdef NSS_NO_INIT_SUPPORT
    DEFINES += -DNSS_NO_INIT_SUPPORT
endif

ifdef FREEBL_PRELINK_COMMAND
	DEFINES +=-DFREEBL_PRELINK_COMMAND=\"$(FREEBL_PRELINK_COMMAND)\"
endif
# NSS_X86 means the target is a 32-bits x86 CPU architecture
# NSS_X64 means the target is a 64-bits 64 CPU architecture
# NSS_X86_OR_X64 means the target is either x86 or x64
ifeq (,$(filter-out i386 x386 x86 x86_64,$(CPU_ARCH)))
        DEFINES += -DNSS_X86_OR_X64
        EXTRA_SRCS += gcm-x86.c aes-x86.c
$(OBJDIR)/gcm-x86.o: CFLAGS += -mpclmul -maes
$(OBJDIR)/aes-x86.o: CFLAGS += -mpclmul -maes
ifneq (,$(USE_64)$(USE_X32))
        DEFINES += -DNSS_X64
else
        DEFINES += -DNSS_X86
endif
endif
ifeq ($(CPU_ARCH),aarch64)
    DEFINES += -DUSE_HW_AES
    EXTRA_SRCS += aes-armv8.c gcm-aarch64.c
endif
ifeq ($(CPU_ARCH),arm)
    ifdef CC_IS_CLANG
        DEFINES += -DUSE_HW_AES
        EXTRA_SRCS += aes-armv8.c
    else ifeq (1,$(CC_IS_GCC))
        # Old compiler doesn't support ARM AES.
        ifneq (,$(filter 4.9,$(word 1,$(GCC_VERSION)).$(word 2,$(GCC_VERSION))))
            DEFINES += -DUSE_HW_AES
            EXTRA_SRCS += aes-armv8.c
        endif
        ifeq (,$(filter 0 1 2 3 4,$(word 1,$(GCC_VERSION))))
            DEFINES += -DUSE_HW_AES
            EXTRA_SRCS += aes-armv8.c
        endif
    endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (OS2,$(OS_TARGET))
    ASFILES  = mpi_x86_os2.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DMP_IS_LITTLE_ENDIAN
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))
ifndef USE_64
# 32-bit Windows
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
# MSVC
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
    # The Intel AES assembly code requires Visual C++ 2010.
    # if $(_MSC_VER) >= 1600 (Visual C++ 2010)
    ifeq ($(firstword $(sort $(_MSC_VER) 1600)),1600)
	DEFINES += -DUSE_HW_AES -DINTEL_GCM
	ASFILES += intel-aes-x86-masm.asm intel-gcm-x86-masm.asm
	EXTRA_SRCS += intel-gcm-wrap.c
	ifeq ($(CLANG_CL),1)
	    INTEL_GCM_CLANG_CL = 1
	endif
    endif
endif
else
    # -DMP_NO_MP_WORD
    DEFINES += -DMP_IS_LITTLE_ENDIAN
ifdef NS_USE_GCC
# Ideally, we should use amd64 assembly code, but it's not yet mingw-w64
# compatible.
else
# MSVC
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
    ASFILES  = arcfour-amd64-masm.asm mpi_amd64_masm.asm mp_comba_amd64_masm.asm
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    # The Intel AES assembly code requires Visual C++ 2010 (10.0). The _xgetbv
    # compiler intrinsic function requires Visual C++ 2010 (10.0) SP1.
    ifeq ($(_MSC_VER_GE_10SP1),1)
	DEFINES += -DUSE_HW_AES -DINTEL_GCM
	ASFILES += intel-aes-x64-masm.asm intel-gcm-x64-masm.asm
	EXTRA_SRCS += intel-gcm-wrap.c
	ifeq ($(CLANG_CL),1)
	    INTEL_GCM_CLANG_CL = 1
	endif
    endif
    MPI_SRCS += mpi_amd64.c
endif
endif
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Darwin)
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_sse2.s
    DEFINES += -DMP_USE_UINT_DIGIT
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
endif
endif # Darwin

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -fPIC -Wa,--noexecstack
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    # comment the next four lines to turn off Intel HW acceleration.
    DEFINES += -DUSE_HW_AES -DINTEL_GCM
    ASFILES += intel-aes.s intel-gcm.s
    EXTRA_SRCS += intel-gcm-wrap.c
    INTEL_GCM = 1
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT
    DEFINES += -DMP_IS_LITTLE_ENDIAN
endif
ifeq ($(CPU_ARCH),arm)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_USE_UINT_DIGIT
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
    MPI_SRCS += mpi_arm.c
endif
ifeq ($(CPU_ARCH),ppc)
    EXTRA_SRCS += gcm-ppc.c
ifdef USE_64
    DEFINES += -DNSS_NO_INIT_SUPPORT
endif # USE_64
endif # ppc
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
ifndef NS_USE_GCC
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD OpenBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC

=== debian/changelog ===
palemoon (28.13.0-1mx19+1) mx; urgency=medium

  * New upstream release: This is a development, bugfix and security update.
    - Updated the included site-specific user-agent overrides for a number of
      websites that need them.
    - Rewritten the browser's padlock code to use more modern APIs and provide
      more accurate security status indication.
    - Now also with localized tooltips!
    - Fixed a missing close button on the undo prompt after removing a thumbnail
      from the QuickDial new tab page.
    - Fixed an issue with the alternative stylesheet menu in the browser's UI
      not working.
    - Implemented the use of intrinsic aspect ratios for images to improve
      layout during load and page positioning.
    - Added a preference to the use of node.getRootNode and disabled by default.
      See implementation notes.
    - Added CSS -webkit-appearance as an alias for -moz-appearance to improve
      compatibility with websites that only try to use Chrome-specific keywords
      to style standard form elements.
    - Updated the SQLite library to 3.33.0.
    - Reinstated precise floating point precision model in JavaScript for those
      alternate builders who foolishly try to use the inaccurate "fast" model.
    - Improved spec compliance of modular JavaScript use (ECMAScript modules).
    - Changed media errors to be a more generic response, and added a preference
      (media.sourceErrorDetails.enabled) to enable detailed error reporting of
      media errors for debugging purposes. Previously, detailed errors were
      provided by default which could lead to privacy issues.
    - Improved code stability of the AbortController implementation.
    - Fixed a race condition in the secure connection library (NSS).
    - Security issues fixed: CVE-2020-15664, CVE-2020-15666, CVE-2020-15667,
      CVE-2020-15668 and CVE-2020-15669.
    - Unified XUL Platform Mozilla Security Patch Summary: 4 fixed, 1
      defense-in-depth, 1 rejected, 9 not applicable.
    Implementation notes:
    - In 28.11.0 we introduced node.getRootNode because some websites would fail
      with an error if this function was not present. Unfortunately, this caused
      problems with other sites that (incorrectly) assume Google WebComponents
      are available when this utility function is present (feature detection
      gone wrong). While it is considered by some to be part of the Google
      WebComponents implementation, it actually has utility value outside of
      that use. Because of the problems caused, we've added a preference and
      disabled it by default, fixing these kinds of websites. When needed, you
      can re-enable this function with dom.getRootNode.enabled. This should
      improve web compatibility by default yet still allow users to enable this
      function for websites that use its utility but do not use WebComponents.

  * Install a palemoon.desktop XFCE helper file from the debian folder so that
    Pale Moon appears as a choice for default browser in the XFCE settings.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 04 Sep 2020 19:07:42 -0700

palemoon (28.12.0-2) obs; urgency=medium

  * Add python2 as alternative build-dep to allow for changes in Sid.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Aug 2020 19:23:51 -0700

palemoon (28.12.0-1) obs; urgency=medium

  * New upstream release: This is a development, bugfix and security update.
    - Added controls for WASM to the browser's preferences, and enabled by
      default.
    - Enabled various arbitrarily-disabled CSS functions.
    - Added the use of basic path descriptors (i.e. polygon) to css clip paths.
    - Implemented multithreaded request signal handling for the Abort API.
      Please see implementation notes below.
    - Updated the included US-English dictionary, adding approximately 2500
      additional words.
    - Removed the DOM battery API. This was already disabled for privacy reasons
      for a long while.
    - Fixed an erroneous warning displayed on toolkit-only add-ons like supplied
      dictionaries.
    - Fixed an issue with the sessionstore tab load preference.
    - Improved the generation of the names of downloaded files to prevent
      confusion. (CVE-2020-15658)
    - Fixed a code issue with base64 encoding of data.
    - Fixed 2 safety hazards in JavaScript. (One being CVE-2020-15656) DiD
    - Fixed a spec compliance issue with regards to the cross-origin loading
      of scripts. (CVE-2020-15652)

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Aug 2020 22:17:07 -0700

=== debian/control ===
Source: palemoon
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
Build-Depends: autoconf2.13,
               debhelper (>= 9),
               libasound2-dev,
               libdbus-1-dev (>=0.60),
               libdbus-glib-1-dev (>= 0.60),
               libfontconfig1-dev,
               libgconf2-dev (>= 1.2.1),
               libgtk2.0-dev (>= 2.14),
               libpulse-dev,
               libx11-xcb-dev,
               libxt-dev,
               lsb-release,
               mesa-common-dev,
               pkg-config,
#              python2 (>= 2.7.18-2~) | python (>= 2.7),
               python (>= 2.7),
               unzip,
               yasm (>= 1.1),
               zip
Standards-Version: 3.9.6
Homepage: http://www.palemoon.org/

Package: palemoon
Architecture: any
Depends: libavcodec54 | libavcodec-extra54 | libavcodec55 | libavcodec-extra55 | libavcodec56 | libavcodec-extra56 | libavcodec57 | libavcodec-extra57 | libavcodec58 | libavcodec-extra58 | libavcodec-ffmpeg56 | libavcodec-ffmpeg-extra56,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-www-browser, www-browser, x-www-browser
Conflicts: palemoon-nonsse2
Replaces: palemoon-nonsse2
Description: Firefox-based, efficient and easy to use web browser
 Pale Moon offers selected features and optimizations to maximize
 the browser's speed, stability and user experience, while maintaining
 compatibility with the thousands of Firefox extensions you have come
 to love and rely on.
 .
 Pale Moon requires a processor that supports the SSE2 instruction set.
 Run "/proc/cpuinfo" in a terminal, and look for sse2 in the flags to ensure
 that your processor supports it.

## palemoon 28.14.1

=== debian/changelog ===
palemoon (28.14.1-1mx17+1) mx; urgency=medium

  * Fix a crash on many popular websites introduced in the new ResizeObserver.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 21:09:07 -0700

palemoon (28.14.0-1mx19+1) mx; urgency=medium

  * New upstream release: This is a development, bugfix and security update:
    - Updated the browser identity code for website security to more clearly
      indicate website status. A detailed explanation is available on the forum
      and beyond the scope of these release notes.
    - Updated unofficial branding to be more generic and more clearly separate
      unofficial builds from Pale Moon as a product. Please note that this goes
      hand in hand with an update of our redistribution license, and from this
      point forward any "New Moon" products are to be considered separate, and
      not unofficial Pale Moon builds or in any way related to or affiliated
      with Pale Moon, despite the similarity in name.
    - Added a preference (signon.startup.prompt) to give users the option to ask
      for the Master Password the moment the application starts (before the main
      window opens). This allows a workaround for getting multiple Master
      Password prompts if individual components need access to the password
      store at the same time.
    - Changed the way download sources are displayed to always use the actual
      domain downloads are from. In some situations the browser would previously
      display the domain of the referring page in an inconsistent fashion.
    - Implemented the ES2019 Object.fromEntries() utility function.
    - Implemented the CSS flow-root keyword.
    - (Re-)implemented percentage-based CSS opacity values according to the
      updated spec.
    - Implemented the last few missing bits for a standards-compliant
      implementation of JavaScript modules.(preloading, resource: scheme, etc.)
    - Implemented the ResizeObserver DOM API.
    - Fixed a null crash on some websites using CSS clip paths.
    - Updated script handling inside SVGs to only run scripts if they are
      enabled and permitted, avoiding a potential XSS pitfall.
    - Fixed several memory safety hazards and crashes.
    - Updated the MediaQueryList interface to the updated spec. It now inherits
      from EventTarget and implements AddEventListener/RemoveEventListener in
      addition to AddListener/RemoveListener and should improve web compatibility for some sites.
    - Removed support for the archaic and non-standard <marquee> element.
    - Removed some leftovers from the discontinued plugin update checker
      service.
    - Removed some internal HPKP implementation leftovers.
    - Cleaned up the Windows widget code to reduce potentially vulnerable
      direct-dll loads.
    - Security issues fixed: CVE-2020-15676 and CVE-2020-15677
    - Unified XUL Platform Mozilla Security Patch Summary: 2 fixed, 1
      defense-in-depth, 7 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 11:20:41 -0700

palemoon (28.13.0-2mx19+1) mx; urgency=medium

  * Add "ac_add_options --enable-phoenix-extensions" to mozconfigs...

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 05 Sep 2020 20:31:59 -0700

palemoon (28.13.0-1) obs; urgency=medium

  * New upstream release: This is a development, bugfix and security update.
    - Updated the included site-specific user-agent overrides for a number of
      websites that need them.
    - Rewritten the browser's padlock code to use more modern APIs and provide
      more accurate security status indication.
    - Now also with localized tooltips!
    - Fixed a missing close button on the undo prompt after removing a thumbnail
      from the QuickDial new tab page.
    - Fixed an issue with the alternative stylesheet menu in the browser's UI
      not working.
    - Implemented the use of intrinsic aspect ratios for images to improve
      layout during load and page positioning.
    - Added a preference to the use of node.getRootNode and disabled by default.
      See implementation notes.
    - Added CSS -webkit-appearance as an alias for -moz-appearance to improve
      compatibility with websites that only try to use Chrome-specific keywords to style standard form elements.
    - Updated the SQLite library to 3.33.0.
    - Reinstated precise floating point precision model in JavaScript for those
      alternate builders who foolishly try to use the inaccurate "fast" model.
    - Improved spec compliance of modular JavaScript use (ECMAScript modules).
    - Changed media errors to be a more generic response, and added a preference
      (media.sourceErrorDetails.enabled) to enable detailed error reporting of
      media errors for debugging purposes. Previously, detailed errors were
      provided by default which could lead to privacy issues.
    - Improved code stability of the AbortController implementation.
    - Fixed a race condition in the secure connection library (NSS).
    - Security issues fixed: CVE-2020-15664, CVE-2020-15666, CVE-2020-15667,
      CVE-2020-15668 and CVE-2020-15669.
    - Unified XUL Platform Mozilla Security Patch Summary: 4 fixed, 1
      defense-in-depth, 1 rejected, 9 not applicable.
    Implementation notes:
    - In 28.11.0 we introduced node.getRootNode because some websites would fail
      with an error if this function was not present. Unfortunately, this caused
      problems with other sites that (incorrectly) assume Google WebComponents
      are available when this utility function is present (feature detection
      gone wrong). While it is considered by some to be part of the Google
      WebComponents implementation, it actually has utility value outside of
      that use. Because of the problems caused, we've added a preference and
      disabled it by default, fixing these kinds of websites. When needed, you
      can re-enable this function with dom.getRootNode.enabled. This should


=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,20 @@
 	dh $@
 
 override_dh_auto_clean:
-	rm -f mozconfig
 	dh_auto_clean
 	find . -name '*.pyc' -delete
+	rm -f mozconfig
 
+# Use a custom mozconfig for Sid to build with one thread.
+# Builds on Debian derivatives may have to add their own distrelease codename.
+distrelease := $(shell lsb_release -cs)
+ifeq ($(distrelease),$(filter $(distrelease),sid unstable))
 override_dh_auto_configure:
-	cp debian/mozconfig mozconfig
+	cp debian/mozconfig-sid debian/mozconfig
+endif
 
 override_dh_auto_build:
+	cp debian/mozconfig mozconfig
 	make -f client.mk build
 
 override_dh_auto_install:

## palemoon 28.14.2

=== debian/changelog ===
palemoon (28.14.2-1mx19+1) mx; urgency=medium

  * Fixed some additional crashes caused by the ResizeObserver API. This should
    take care of all crashes that have been attributed to this new code.
  * Fixed erroneous parsing of CSS percentages as number values.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Oct 2020 09:36:30 -0700

palemoon (28.14.1-1mx19+1) mx; urgency=medium

  * Fix a crash on many popular websites introduced in the new ResizeObserver.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 21:09:07 -0700

## palemoon 28.15.0

=== debian/changelog ===
palemoon (28.15.0-1mx19+1) mx; urgency=medium

  * This is a standard development and bugfix release.
    - Implemented support for CSS caret-color.
    - Implemented support for un-prefixed ::selection CSS pseudo-element
      styling.
    - Fixed another potential crashing scenario in ResizeObservers.
    - Fixed several crashes in the DOM Fetch API.
    - Fixed a crash in table pagination.
    - Security issues fixed: CVE-2020-15680 (VG-VD-20-115) and several memory
      safety hazards.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Oct 2020 01:18:40 -0700

## palemoon 28.16.0

=== debian/changelog ===
palemoon (28.16.0-1mx19+1) mx; urgency=medium

  * This is a development and security update to the browser:
    - Changes/fixes:
      - Aligned CSS tab-size with the specification and un-prefixed it.
      - Updated Brotli library to 1.0.9.
      - Updated JAR lib code.
      - Optimized UI code, resulting in smaller downloads and less space
        consumed on disk.
      - Changed the default Firefox Compatibility version number to 68.0 (since
        versions ending in .9 makes some frameworks unhappy, refusing access
        to users)
      - Cleaned up HPKP leftovers.
      - Disabled the DOM filesystem API by default.
      - Removed Phone Vibrator API.
      - Fixed an issue where the software uninstaller would not remove the
        program files it should.
      - Fixed a devtools crash related to timeline snapshots.
      - Fixed an issue in Skia that could cause unsafe memory access. DiD
      - Fixed several data race conditions. DiD
      - Fixed an XSS vulnerability where scripts could be executed when pasting
        data into on-line editors.
      - Linux: Fixed an overflow issue in freetype.
      - Security issues addressed: CVE-2020-26960, CVE-2020-26951,
        CVE-2020-26956, CVE-2020-15999 and several others that do not have a
        CVE designation.
      - Unified XUL Platform Mozilla Security Patch Summary: 4 fixed,
        4 defense-in-depth, 3 rejected, 20 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Nov 2020 11:18:01 -0800

## palemoon 28.17.0

=== debian/changelog ===
palemoon (28.17.0-1mx19+1) mx; urgency=medium

  * This is a development and security update to the browser:
    - Changed the way dates and times are formatted in the UI to properly adhere
      to the user's regional settings in the O.S.
    - Re-enabled the DOM Filesystem API for web compatibility.
    - Moved the global user-agent override to the networking component.
    - Worked around crashes and run-time issues with module scripts.
    - Fixed a website layout issue with table-styled elements potentially
      overlapping when placed inside a flexbox.
    - Fixed some code logic issues with websockets.
    - Fixed a regression when waking the computer from standby causing high
      CPU usage in some uncommon situations.
    - Updated the list of prohibited ports the browser can use.
    - Updated root certificates.
    - Security issues addressed: CVE-2020-26978 and CVE-2020-35112.
    - Unified XUL Platform Mozilla Security Patch Summary: 2 fixed, 1 deferred
      to the next release, 16 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Dec 2020 14:35:04 -0800
